
package de.ivu.elect.presentation.email.table;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Named;

import de.ivu.elect.business.email.entity.EmailLayout;
import de.ivu.elect.jee.presentation.dynamictable.AbstractColumnBuilder;
import de.ivu.elect.jee.presentation.dynamictable.ColumnEntry;

@Named(EmailLayoutColumnBuilder.COMPONENT_NAME)
public class EmailLayoutColumnBuilder extends AbstractColumnBuilder<EmailLayout> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "emailLayoutColumnBuilder";

  private AbstractEmailLayoutColumn<EmailLayout> emailLayoutBezeichnungColumn;

  private AbstractEmailLayoutColumn<EmailLayout> emailLayoutVerwendungTypColumn;

  public EmailLayoutColumnBuilder() {
    super();
  }

  @Override
  protected void initColumns() {
    emailLayoutBezeichnungColumn = AbstractEmailLayoutColumn.createEmailLayoutBezeichnungColumn(getMessages());
    emailLayoutVerwendungTypColumn = AbstractEmailLayoutColumn.createEmailLayoutVerwendungTypColumn(getMessages());
  }

  @Override
  protected List<ColumnEntry< ? super EmailLayout>> getColumnEntriesSorted() {
    List<ColumnEntry< ? super EmailLayout>> result = new ArrayList<>();

    result.add(emailLayoutBezeichnungColumn);
    result.add(emailLayoutVerwendungTypColumn);

    return result;
  }
}
